package com.xxx.workflow;

import org.jbpm.graph.exe.ExecutionContext;
import org.apache.commons.beanutils.BeanUtils;
import org.apache.commons.beanutils.PropertyUtils;

/**
 * @author chadwickboggs@yahoo.com
 */
public class ActionHandlerSupport {

    protected void initialize(final String configAttributeName, final String processVariableName,
                            final ExecutionContext executionContext) {
        try {
            Object propertyValue = PropertyUtils.getProperty(this, configAttributeName);
            if (propertyValue == null && processVariableName != null) {
                propertyValue = executionContext.getContextInstance().getVariable(processVariableName);
                BeanUtils.setProperty(this, configAttributeName, propertyValue);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
